LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;

entity G_DEC is
      Port (       C : In    std_logic;  -- Asynch. Reset
                 CLK : In    std_logic;  -- Clock
                   D : In    std_logic;  -- D
                   E : In    std_logic;  -- Enable
                   Q : Out   std_logic );-- Out
end G_DEC;

architecture RTL of G_DEC is

begin

process (CLK,C)
begin
    if (C='1') then
      Q <= '0';
    elsif CLK'event and CLK='1' then
      if (E='1') then
        Q <= D;
      end if;
    end if;
end process;

end RTL;

