-- 

LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;
  USE ieee.numeric_std.ALL;

entity LEDREG is
      Port (     CLK : In    std_logic;
                   D : In    std_logic_vector (7 downto 0);
                 RST : In    std_logic;
                  EN : In    std_logic;
                   Q : Out   std_logic_vector (7 downto 0) );
end LEDREG;



architecture BEHAVIORAL of LEDREG is

begin

process (CLK,RST)
begin
  if (RST='1') then
    Q <= (others=>'0');
  elsif rising_edge(CLK) then
    if (EN='1') then
      Q <= D;
    end if;
  end if;
end process;


end BEHAVIORAL;


